<?php
###############################################################
# Lanpartyscript von DiDi [ www.lt-kiel.de ]                  #
###############################################################
# Das Script darf frei benutzt werden,                        #
# solange der Copyright Verweis hier bestehen bleibt.         #
# Ausserdem muss ein Copyright Verweis auf der                #
# jeweiligen Homepage, auf der dieses Script                  #
# benutzt wird, eingeblendet werden.                          #
#                                                             #
# Das Script darf ohne Genehmigung nicht zum Download         #
# angeboten werden.                                           #
###############################################################

	// Auslesen der aktuellen Infos
	// Variablen auf Default-Werte setzen
        $LANNAME            = "";
        $ANMELDUNG_GESPERRT = "";
	$MAX_TEILNEHMERZAHL = "";
	$WAEHRUNG	    			= "";
	$EINTRITT	    			= "";
	$LAN_ORT	    			= "";
	$LAN_TAG_START	    = "";
	$LAN_DATUM_START    = "";
	$LAN_UHRZEIT_START  = "";
	$LAN_ENDE	    			= "";
	$TEILNEHMERBEDINGUNG = "";
        $WEG = "";
        $WEGBILD = "";
        $TITEL = "";
        $HINTERGRUNDBILD = "";
        $HFARBE            = "";
        $SCHRIFTFRABE = "";
	$SCHRIFTFRABE1	    			= "";
	$LINK	    			= "";
	$VLINK	    			= "";
	$ALINK	    = "";
	$SCHRIFT    = "";
	$SIZE  = "";
	$SIZE1	    			= "";
	$MEADSHOW = "";
        $TIADSHOW = "";
        $WIDTH = "";
        $TH	    			= "";
	$TH1	    			= "";
	$TH2	    = "";
	$ADSHOW  = "";
	$IP    = "";
	$MAIL  = "";
	$ADMIN_PASS	    			= "";
	

	// Auslesen der aktuellen Infos
  $filename= "daten/landaten.dat";
  if(file_exists($filename)) {
    $file = fopen($filename, "r");
    if(isset($file)) {
    	// Die (einzige) Zeile der Datei auslesen
    	$zeile = fread($file, 10000);

			// Die Variablen mit den Werten aus der Datei befuellen
			$eintraege = explode("\n", $zeile);
			if (sizeof($eintraege) == 35) {
				$LANNAME = $eintraege[0];
				$ANMELDUNG_GESPERRT = $eintraege[1];
				$MAX_TEILNEHMERZAHL = $eintraege[2];
				$WAEHRUNG = $eintraege[3];
				$EINTRITT = $eintraege[4];
				$LAN_ORT = $eintraege[5];
				$LAN_TAG_START = $eintraege[6];
				$LAN_DATUM_START = $eintraege[7];
				$LAN_UHRZEIT_START = $eintraege[8];
				$LAN_ENDE = $eintraege[9];
				$TEILNEHMERBEDINGUNG = $eintraege[10];
                                $WEG = $eintraege[11];
                                $WEGBILD = $eintraege[12];
        $TITEL = $eintraege[13];
        $HINTERGRUNDBILD = $eintraege[14];
        $HFARBE = $eintraege[15];
	$SCHRIFTFRABE  = $eintraege[16];
	$SCHRIFTFRABE1 = $eintraege[17];
	$LINK= $eintraege[18];
	$VLINK = $eintraege[19];
	$ALINK = $eintraege[20];
	$SCHRIFT = $eintraege[21];
	$SIZE  = $eintraege[22];
	$SIZE1 = $eintraege[23];
	$MEADSHOW = $eintraege[24];
        $TIADSHOW = $eintraege[25];
        $WIDTH = $eintraege[26];
        $TH = $eintraege[27];
	$TH1 = $eintraege[28];
	$TH2 = $eintraege[29];
	$ADSHOW = $eintraege[30];
	$IP = $eintraege[31];
	$MAIL  = $eintraege[32];
	$ADMIN_PASS = $eintraege[33];
      }
    }
    fclose($file);
	}
	

// Technische-Attribute
	$FILENAME           = "daten/teilnehmer.dat";	// Der Dateiname der Anmeldungs-Daten
	
	// Ab hier nix anfassen ...
	
	// Anzahl der maximalen Teilnehmer ermitteln
	function getMaxTeilnehmerzahl() {
		global $MAX_TEILNEHMERZAHL;
		return $MAX_TEILNEHMERZAHL;
	}
	
	// Anzahl der angemeldeten Teilnehmer ermitteln
	function getTeilnehmerzahl() {
		global $FILENAME;
		$file = fopen($FILENAME, "r");
		$teilnehmer = 0;
		while (!feof($file)) {
			$row = fgets($file, 1000);
			if ($row != "") {
				$teilnehmer++;
			}
		}
		fclose($file);
		return $teilnehmer;
	}

	// Gibt den Status der LAN-Anmeldung zurck (true = Anmeldung ist freigeschaltet)
	function isGesperrt() {
		global $ANMELDUNG_GESPERRT;
		if ($ANMELDUNG_GESPERRT) {
			return true;
		} else {
			return false;
		}
	}

	// Prft, ob die Anmeldung noch frei ist (nicht gesperrt und Teilnehmer < MaxTeilnehmer)
	function isAnmeldungFrei() {
		global $ANMELDUNG_GESPERRT;
		global $MAX_TEILNEHMERZAHL;
		if ($ANMELDUNG_GESPERRT == "true") {
			return false;
		}
		if (getTeilnehmerzahl() >= $MAX_TEILNEHMERZAHL) {
			return false;
		}
		return true;
	}
	
	

	// Fehlermeldungen
	define("ERRORBACKTOANMELDUNG", "<br><br><br><a href='lananmeldung.php'><img src='images/tryagain_image.jpg' width='80' height='28' border='0' alt='Zurck'></a>");	// Der "nach Fehler" Zurck-Link
	define("ERRORANGEMELDET", "Schon angemeldet");																// Fehlermeldung
	define("ERRORGESPERRT", "Anmeldung gesperrt");																// Fehlermeldung
	define("ERRORVORNAME", "Vorname fehlt".ERRORBACKTOANMELDUNG);									// Fehlermeldung
	define("ERRORNACHNAME", "Nachname fehlt".ERRORBACKTOANMELDUNG);								// Fehlermeldung
	define("ERRORNICK", "Nick fehlt".ERRORBACKTOANMELDUNG);												// Fehlermeldung
	define("ERROREMAIL1", "Email fehlt".ERRORBACKTOANMELDUNG);										// Fehlermeldung
	define("ERROREMAIL2", "Email fehlerhaft/unvollstndig".ERRORBACKTOANMELDUNG);	// Fehlermeldung
	define("ERROREINVERSTANDEN", "Nicht mit den Teilnahmebedingungen einverstanden".ERRORBACKTOANMELDUNG);	// Fehlermeldung
	// Mail
	define("MAILMASTER1", "$mail");			// Clan-Adressat der Email
	define("MAILMASTER2", "");			// Clan-Adressat der Email
		
	// Private Attribute/Konstanten -> nicht anfassen
	define("SEPARATOR", "<sep>");									// Trennzeichen fr die Datei
	$errorMsg = "";
	
	// Schreibt in die Teilnehmer-Datei	
	function add($vorname, $nachname, $clan, $nick, $email, $Spiel) {
		global $FILENAME;
		
		// Eintrag an die Datei dranhaengen
		$file = fopen($FILENAME, "a");
		$date = date("d.m.y");
		$time = date("H:i:s");
		$buffer = "$date".SEPARATOR."$time".SEPARATOR."$clan".SEPARATOR."$nick".SEPARATOR."$vorname".SEPARATOR."$nachname".SEPARATOR."$email".SEPARATOR."$Spiel"."\n";
		fwrite($file, $buffer);
		fclose($file);
	}
	
	// Prft die Eingaben auf Vollstndigkeit
	function checkInputs($vorname, $nachname, $clan, $nick, $email, $einverstanden, $Spiel) {
		if ($vorname == "") {
			setError(ERRORVORNAME);
			return false;
		}
		if ($nachname == "") {
			setError(ERRORNACHNAME);
			return false;
		}
		if ($nick == "") {
			setError(ERRORNICK);
			return false;
		}
		if ($email == "") {
			setError(ERROREMAIL1);
			return false;
		}
		if (!checkEmail($email)) {
			setError(ERROREMAIL2);
			return false;
		}
		if ($einverstanden == "") {
			setError(ERROREINVERSTANDEN);
			return true;
		}
		
		return true;
	}
	
	// Prft die Email-Adresse auf Vollstndigkeit
	function checkEmail($email) {
		$dummy = explode("@", $email);
		$dummy2 = explode(".", $dummy[1]);
		$part1 = $dummy[0];		// == name (vor dem @)
		$part2 = $dummy2[0];	// == provider (hinter dem @, vor dem .)
		$part3 = $dummy2[1];	// == domain (hinter dem @, hinter dem .)
		
		if ($part1 == "") {
			return false;
		}
		if (strlen($part1) < 3) {
			return false;
		}
		if ($part2 == "") {
			return false;
		}
		if ($part3 == "") {
			return false;
		}
		if (strlen($part3) < 2) {
			return false;
		}
		
		return true;
	}
	
	// Pruefen, ob sich jemand doppelt anmelden will
	function isAngemeldet($vorname, $nachname, $clan, $nick, $email) {
		global $FILENAME;
		
		$ok = false;

		$file = fopen($FILENAME, "r");
		$teilnehmer = 0;
		while (!feof($file)) {
			$row = fgets($file, 1000);
			$dummy = explode(SEPARATOR, $row);
			$nicks[$teilnehmer] = trim($dummy[3]);
			$vornamen[$teilnehmer]  = trim($dummy[4]);
			$nachnamen[$teilnehmer] = trim($dummy[5]);
			$teilnehmer++;
		}
		fclose($file);
		
		for ($i = 0; $i < $teilnehmer; $i++) {
			// Prfen, ob Nick, Vorname und Nachname schon vorhanden sind
			if ( (strtoupper($nick) == strtoupper($nicks[$i])) &&
					 (strtoupper($vorname)  == strtoupper($vornamen[$i])) &&
					 (strtoupper($nachname) == strtoupper($nachnamen[$i])) ) {
				$ok = true;
				setError(ERRORANGEMELDET);
				break;
			}
		}

		return $ok;
	}
	
	// Sendet ein Email an den RaF-Clan und ein Email an den Angemeldeten
	function notify($vorname, $nachname, $clan, $nick, $email,$Spiel) {
		global $LANNAME;
		global $WAEHRUNG;
		global $EINTRITT;
		global $LAN_ORT;
		global $LAN_TAG_START;
		global $LAN_DATUM_START;
		global $LAN_UHRZEIT_START;
		global $LAN_ENDE;
                global $TEILNEHMERBEDINGUNG;
		
		// Mail-Text aufbereiten
		$mailmaster1 = MAILMASTER1;
		$mailmaster2 = MAILMASTER2;

		$dummy[0] = "$LAN_NAME-Anmeldung";
		$dummy[1] = "-------------------";
		$dummy[2] = "Datum   : ".date("d.m.y");
		$dummy[3] = "Uhrzeit : ".date("H:i:s")." Uhr";
		$dummy[4] = " ";
		$dummy[5] = "Vorname : ".$vorname;
		$dummy[6] = "Nachname: ".$nachname;
		$dummy[7] = " ";
		$dummy[8] = "Clan    : ".$clan;
		$dummy[9] = "Nickname: ".$nick;
		$dummy[10]= " ";
		$dummy[11]= "Email   : ".$email;
		
	                $dummy[13]= " ";	
                                $dummy[14]= "Spiel    : ".$Spiel;
		$message1 = implode("\n", $dummy);
	
		$dummy2[0] = "$LAN_NAME-Anmeldung";
		$dummy2[1] = "-------------------";
		$dummy2[2] = "Datum   : ".date("d.m.y");
		$dummy2[3] = "Uhrzeit : ".date("H:i:s")." Uhr";
		$dummy2[4] = "";
		$dummy2[5] = "Nickname: ".$nick;
		$dummy2[6] = "";			
		$dummy2[7] = "Diese Anmeldung wurde soeben registriert.";
		$dummy2[15]= "Nochmal die LAN-Daten:";
		$dummy2[16]= " ";
		$dummy2[17]= "Ort  : ".$LAN_ORT;
		$dummy2[18]= "Von  :".$LAN_TAG_START."---".$LAN_DATUM_START."--".$LAN_UHRZEIT_START;
		$dummy2[19]= "Bis  :".$LAN_ENDE;
		$dummy2[20]= "".$TEILNEHMERBEDINGUNG."";
		$dummy2[21]= "Also, wir sehen uns auf der ".$LANNAME." Euer Team .::Powered by DiDi http://www.lt-kiel.de::.
";
		$message2 = implode("\n", $dummy2);

		// Mails-schicken...
		mail($mailmaster1, $subject, $message1, $from);				// An ltk-Clan
		mail($mailmaster2, $subject, $message1, $from);				// An ltk-Clan
		mail($email, $subject, $message2, $from); 						// An den Angemeldeten
	}
	
	// Zeigt die HTML-Seite an die kommt, wenn die Anmeldung erfolgreich war
	function showAnmeldungErfolgreich() {
		echo "<p class='h1'<center>>Anmeldung erfolgreich</p>";
		echo "<p><a href='lanteilnehmer.php'>Zur Teilnehmer-Liste</a></p>";
	}
	
	// Zeigt die HTML-Seite an die kommt, wenn die Anmeldung gesperrt ist
	function showAnmeldungGesperrt() {
		$text = ERRORGESPERRT;
		echo "<p class='h1'<center>$text</p>";
	}

	// Zeigt die HTML-Seite an die kommt, wenn die Eingaben fehlerhaft waren
	function showFehlermeldung() {
		$error = getError();
		echo "$error";
	}
	
	// Zugriffsmethode
	function getError() {
		global $errorMsg;
		return $errorMsg;
	}
	
	// Zugriffsmethode
	function setError($error) {
		global $errorMsg;
		$errorMsg = "<center><img src='images/panic_image.jpg' witdh='100' height'50' border='0' alt='Fehler'><br><p class='h1'><center>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$error."</p>";
	}
	
	
?>