<?php
	// Auslesen der aktuellen Infos
	// Variablen auf Default-Werte setzen
  $LANNAME            = "";
  $ANMELDUNG_GESPERRT = "";
	$MAX_TEILNEHMERZAHL = "";
	$WAEHRUNG	    			= "";
	$EINTRITT	    			= "";
	$LAN_ORT	    			= "";
	$LAN_TAG_START	    = "";
	$LAN_DATUM_START    = "";
	$LAN_UHRZEIT_START  = "";
	$LAN_ENDE	    			= "";
	$TEILNEHMERBEDINGUNG = "";

	// Auslesen der aktuellen Infos
  $filename= "lanparty/infos.dat";
  if(file_exists($filename)) {
    $file = fopen($filename, "r");
    if(isset($file)) {
    	// Die (einzige) Zeile der Datei auslesen
    	$zeile = fread($file, 1000);

			// Die Variablen mit den Werten aus der Datei befuellen
			$eintraege = explode("\n", $zeile);
			if (sizeof($eintraege) == 11) {
				$LANNAME = $eintraege[0];
				$ANMELDUNG_GESPERRT = $eintraege[1];
				$MAX_TEILNEHMERZAHL = $eintraege[2];
				$WAEHRUNG = $eintraege[3];
				$EINTRITT = $eintraege[4];
				$LAN_ORT = $eintraege[5];
				$LAN_TAG_START = $eintraege[6];
				$LAN_DATUM_START = $eintraege[7];
				$LAN_UHRZEIT_START = $eintraege[8];
				$LAN_ENDE = $eintraege[9];
				$TEILNEHMERBEDINGUNG = $eintraege[10];
      }
    }
    fclose($file);
	}
	
	
	
	
	

$LANNAME1            = "Anmeldung zur ";

// Technische-Attribute
	$FILENAME           = "lananmeldungdata.php";	// Der Dateiname der Anmeldungs-Daten
	
	// Ab hier nix anfassen ...
	
	// Anzahl der maximalen Teilnehmer ermitteln
	function getMaxTeilnehmerzahl() {
		global $MAX_TEILNEHMERZAHL;
		return $MAX_TEILNEHMERZAHL;
	}
	
	// Anzahl der angemeldeten Teilnehmer ermitteln
	function getTeilnehmerzahl() {
		global $FILENAME;
		$file = fopen($FILENAME, "r");
		$teilnehmer = 0;
		while (!feof($file)) {
			$row = fgets($file, 1000);
			if ($row != "") {
				$teilnehmer++;
			}
		}
		fclose($file);
		return $teilnehmer;
	}

	// Gibt den Status der LAN-Anmeldung zurck (true = Anmeldung ist freigeschaltet)
	function isGesperrt() {
		global $ANMELDUNG_GESPERRT;
		if ($ANMELDUNG_GESPERRT) {
			return true;
		} else {
			return false;
		}
	}

	// Prft, ob die Anmeldung noch frei ist (nicht gesperrt und Teilnehmer < MaxTeilnehmer)
	function isAnmeldungFrei() {
		global $ANMELDUNG_GESPERRT;
		global $MAX_TEILNEHMERZAHL;
		if ($ANMELDUNG_GESPERRT == "true") {
			return false;
		}
		if (getTeilnehmerzahl() >= $MAX_TEILNEHMERZAHL) {
			return false;
		}
		return true;
	}
	
	/*  oNe2 (oNe2@RaF-Clan.de) */
?>